<template>
  <span class="titleWithBack title">
    <router-link :to="back"><i class="material-icons">keyboard_arrow_left</i></router-link>
    <slot />
  </span>
</template>

<style lang="scss">
  .titleWithBack {
    display: inline-block;
    margin-left: -1.5em;
    font-size: 1.5em;
    a {
      color: $primary;
    }

    &,.material-icons {
      line-height: 1.5em;
      vertical-align: middle;
      font-size: 1.5em;
    }
  }
</style>

<script lang="ts">
  import Vue from 'vue';
  import { RawLocation } from 'vue-router';
  import Component from 'vue-class-component';
  import { Prop } from 'vue-property-decorator';

  @Component<TitleWithBack>({})
  export default class TitleWithBack extends Vue {
    @Prop({
      type: [Object, String],
      required: true,
    }) back!: RawLocation;
  }
</script>
